__audit_ipc_set_perm
Prev | Chapter 13. Audit Interfaces | Next

## Name

__audit_ipc_set_perm — record audit data for new ipc permissions

## Synopsis

`int __audit_ipc_set_perm (` | unsigned long | qbytes,
| uid_t | uid,
| gid_t | gid,
| mode_t | mode`)`;

## Arguments

`qbytes`

  msgq bytes

`uid`

  msgq user id

`gid`

  msgq group id

`mode`

  msgq mode (permissions)

## Description

Returns 0 for success or NULL context or < 0 on error.

Prev | Up | Next
__audit_ipc_obj | Home | audit_socketcall